Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037222
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2017-11-03 15:082018-01-03 12:38
ReporterngarciaView Statuspublic 
Assigned Tononofrancisco 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revisiond8e4486f08d7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037222: Goods receipt created with Generate Receipt From Invoice still linked to the invoice after reactivating and deleting its lines

DescriptionGoods receipt created with Generate Receipt From Invoice still linked to the invoice after reactivating and deleting its lines

C_INVOICE_ID column of M_INOUT table keeps the relation with the original invoice
Steps To ReproduceAs system admin role:
   Set as Generate Receipt From Invoice field displayed in Purchase Invoice window
   Compile and restart tomcat

As group admin role:
   Create a Purchase Invoice, add a line to it and complete it
   Generate Receipt From Invoice
   Reactivate the Purchase Invoice, delete its lines and change its business partner
   Add a new product and complete it
   Go to Goods Receipt window, create a header and select this invoice in Create Lines From process
   Complete the goods receipt

   Check the Purchase Invoice is linked to both Goods Receipts (Linked Items)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0100310)
nonofrancisco (developer)
2017-11-07 15:47

Test Plan:

As system admin role:
   Set as Generate Receipt From Invoice field displayed in Purchase Invoice window
   Do ant compile.complete and restart tomcat

As group admin role:
- Create a Purchase Invoice
  Organization: F&B España - Región Norte
  Business Partner: Bebidas Alegres, S.L.
  - Create a line
    Product: Cerveza Ale 0,5L
- Complete the document
- Generate Receipt From Invoice
- Go to Linked Item section of Purchase Invoice and verify there is only one link to Goods Receipt - Header pointing to the receipt created previously
- Reactivate the Purchase Invoice, delete its lines and change its business partner to Refrescos Naturales, S.A.
  - Create a line
     Product: Agua sin Gas 1L
- Complete the document
- Go to Linked Item section of Purchase Invoice and verify there is no link to Goods Receipt
- Create a new Goods Receipt
  Business Partner: Refrescos Naturales, S.A.
  - Use Create Lines From process to add a line to Goods Receipt
    Business Partner: Refrescos Naturales, S.A.
    Invoice: The one previously created
- Complete the goods receipt
- Go to Purchase Invoice Window
- Go to Linked Item section of previously created Purchase Invoice and verify there is only one link to Goods Receipt - Header pointing to the last receipt created
(0100497)
hgbot (developer)
2017-11-13 16:38

Repository: erp/devel/pi
Changeset: d8e4486f08d768a164cfcaba0d766a956465d680
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Nov 13 13:27:49 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d8e4486f08d768a164cfcaba0d766a956465d680 [^]

Fixes issue 37222: Goods receipt created with Generate Receipt From Invoice still
linked to the invoice after reactivating and deleting its lines

When deleting all lines of Purchase Invoice, if exists a Good Receipt referencing
that invoice, the reference is removed.

---
M src/org/openbravo/event/InvoiceLineEventHandler.java
---
(0100498)
dmiguelez (developer)
2017-11-13 16:39

Code Review + Testing Ok
(0101416)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-03 15:08 ngarcia New Issue
2017-11-03 15:08 ngarcia Assigned To => Triage Finance
2017-11-03 15:08 ngarcia Modules => Core
2017-11-03 15:08 ngarcia Triggers an Emergency Pack => No
2017-11-03 15:09 ngarcia Issue Monitored: networkb
2017-11-06 11:00 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2017-11-06 21:07 nonofrancisco Assigned To AtulOpenbravo => nonofrancisco
2017-11-06 21:08 nonofrancisco Status new => scheduled
2017-11-07 15:47 nonofrancisco Note Added: 0100310
2017-11-13 16:38 hgbot Checkin
2017-11-13 16:38 hgbot Note Added: 0100497
2017-11-13 16:38 hgbot Status scheduled => resolved
2017-11-13 16:38 hgbot Resolution open => fixed
2017-11-13 16:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d8e4486f08d768a164cfcaba0d766a956465d680 [^]
2017-11-13 16:39 dmiguelez Review Assigned To => dmiguelez
2017-11-13 16:39 dmiguelez Note Added: 0100498
2017-11-13 16:39 dmiguelez Status resolved => closed
2017-11-13 16:39 dmiguelez Fixed in Version => 3.0PR18Q1
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101416


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker